IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network228.192.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
- Network address
228.192.0.0- Broadcast address
228.255.255.255- First usable
228.192.0.1- Last usable
228.255.255.254- Usable hosts
- 4,194,302 (4,194,304 less the network and broadcast addresses)
- Subnet mask
255.192.0.0- Wildcard mask
0.63.255.255(Cisco ACLs, OSPF)- Prefix length
- /10
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E4C00000· Integer3837788160to3841982463 - Reverse DNS zones
192.228.in-addr.arpa193.228.in-addr.arpa194.228.in-addr.arpa195.228.in-addr.arpa196.228.in-addr.arpa197.228.in-addr.arpa198.228.in-addr.arpa199.228.in-addr.arpa200.228.in-addr.arpa201.228.in-addr.arpa202.228.in-addr.arpa203.228.in-addr.arpa204.228.in-addr.arpa205.228.in-addr.arpa206.228.in-addr.arpa207.228.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11100100.11000000.00000000.00000000 | 228.192.0.0 |
| Subnet mask | 11111111.11000000.00000000.00000000 | 255.192.0.0 |
| Network | 11100100.11000000.00000000.00000000 | 228.192.0.0 |
| Broadcast | 11100100.11111111.11111111.11111111 | 228.255.255.255 |
Split into smaller subnets
/11 (2)/12 (4)/13 (8)/14 (16)/15 (32)/16 (64)/17 (128)/18 (256)/19 (512)/20 (1,024)/21 (2,048)/22 (4,096)
228.192.0.0/10 makes 256 subnets of /18.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 228.192.0.0/18 | 228.192.0.1 to 228.192.63.254 | 228.192.63.255 | 16,382 |
| 2 | 228.192.64.0/18 | 228.192.64.1 to 228.192.127.254 | 228.192.127.255 | 16,382 |
| 3 | 228.192.128.0/18 | 228.192.128.1 to 228.192.191.254 | 228.192.191.255 | 16,382 |
| 4 | 228.192.192.0/18 | 228.192.192.1 to 228.192.255.254 | 228.192.255.255 | 16,382 |
| 5 | 228.193.0.0/18 | 228.193.0.1 to 228.193.63.254 | 228.193.63.255 | 16,382 |
| 6 | 228.193.64.0/18 | 228.193.64.1 to 228.193.127.254 | 228.193.127.255 | 16,382 |
| 7 | 228.193.128.0/18 | 228.193.128.1 to 228.193.191.254 | 228.193.191.255 | 16,382 |
| 8 | 228.193.192.0/18 | 228.193.192.1 to 228.193.255.254 | 228.193.255.255 | 16,382 |
| 9 | 228.194.0.0/18 | 228.194.0.1 to 228.194.63.254 | 228.194.63.255 | 16,382 |
| 10 | 228.194.64.0/18 | 228.194.64.1 to 228.194.127.254 | 228.194.127.255 | 16,382 |
| 11 | 228.194.128.0/18 | 228.194.128.1 to 228.194.191.254 | 228.194.191.255 | 16,382 |
| 12 | 228.194.192.0/18 | 228.194.192.1 to 228.194.255.254 | 228.194.255.255 | 16,382 |
| 13 | 228.195.0.0/18 | 228.195.0.1 to 228.195.63.254 | 228.195.63.255 | 16,382 |
| 14 | 228.195.64.0/18 | 228.195.64.1 to 228.195.127.254 | 228.195.127.255 | 16,382 |
| 15 | 228.195.128.0/18 | 228.195.128.1 to 228.195.191.254 | 228.195.191.255 | 16,382 |
| 16 | 228.195.192.0/18 | 228.195.192.1 to 228.195.255.254 | 228.195.255.255 | 16,382 |
| 17 | 228.196.0.0/18 | 228.196.0.1 to 228.196.63.254 | 228.196.63.255 | 16,382 |
| 18 | 228.196.64.0/18 | 228.196.64.1 to 228.196.127.254 | 228.196.127.255 | 16,382 |
| 19 | 228.196.128.0/18 | 228.196.128.1 to 228.196.191.254 | 228.196.191.255 | 16,382 |
| 20 | 228.196.192.0/18 | 228.196.192.1 to 228.196.255.254 | 228.196.255.255 | 16,382 |
| 21 | 228.197.0.0/18 | 228.197.0.1 to 228.197.63.254 | 228.197.63.255 | 16,382 |
| 22 | 228.197.64.0/18 | 228.197.64.1 to 228.197.127.254 | 228.197.127.255 | 16,382 |
| 23 | 228.197.128.0/18 | 228.197.128.1 to 228.197.191.254 | 228.197.191.255 | 16,382 |
| 24 | 228.197.192.0/18 | 228.197.192.1 to 228.197.255.254 | 228.197.255.255 | 16,382 |
| 25 | 228.198.0.0/18 | 228.198.0.1 to 228.198.63.254 | 228.198.63.255 | 16,382 |
| 26 | 228.198.64.0/18 | 228.198.64.1 to 228.198.127.254 | 228.198.127.255 | 16,382 |
| 27 | 228.198.128.0/18 | 228.198.128.1 to 228.198.191.254 | 228.198.191.255 | 16,382 |
| 28 | 228.198.192.0/18 | 228.198.192.1 to 228.198.255.254 | 228.198.255.255 | 16,382 |
| 29 | 228.199.0.0/18 | 228.199.0.1 to 228.199.63.254 | 228.199.63.255 | 16,382 |
| 30 | 228.199.64.0/18 | 228.199.64.1 to 228.199.127.254 | 228.199.127.255 | 16,382 |
| 31 | 228.199.128.0/18 | 228.199.128.1 to 228.199.191.254 | 228.199.191.255 | 16,382 |
| 32 | 228.199.192.0/18 | 228.199.192.1 to 228.199.255.254 | 228.199.255.255 | 16,382 |
| 33 | 228.200.0.0/18 | 228.200.0.1 to 228.200.63.254 | 228.200.63.255 | 16,382 |
| 34 | 228.200.64.0/18 | 228.200.64.1 to 228.200.127.254 | 228.200.127.255 | 16,382 |
| 35 | 228.200.128.0/18 | 228.200.128.1 to 228.200.191.254 | 228.200.191.255 | 16,382 |
| 36 | 228.200.192.0/18 | 228.200.192.1 to 228.200.255.254 | 228.200.255.255 | 16,382 |
| 37 | 228.201.0.0/18 | 228.201.0.1 to 228.201.63.254 | 228.201.63.255 | 16,382 |
| 38 | 228.201.64.0/18 | 228.201.64.1 to 228.201.127.254 | 228.201.127.255 | 16,382 |
| 39 | 228.201.128.0/18 | 228.201.128.1 to 228.201.191.254 | 228.201.191.255 | 16,382 |
| 40 | 228.201.192.0/18 | 228.201.192.1 to 228.201.255.254 | 228.201.255.255 | 16,382 |
| 41 | 228.202.0.0/18 | 228.202.0.1 to 228.202.63.254 | 228.202.63.255 | 16,382 |
| 42 | 228.202.64.0/18 | 228.202.64.1 to 228.202.127.254 | 228.202.127.255 | 16,382 |
| 43 | 228.202.128.0/18 | 228.202.128.1 to 228.202.191.254 | 228.202.191.255 | 16,382 |
| 44 | 228.202.192.0/18 | 228.202.192.1 to 228.202.255.254 | 228.202.255.255 | 16,382 |
| 45 | 228.203.0.0/18 | 228.203.0.1 to 228.203.63.254 | 228.203.63.255 | 16,382 |
| 46 | 228.203.64.0/18 | 228.203.64.1 to 228.203.127.254 | 228.203.127.255 | 16,382 |
| 47 | 228.203.128.0/18 | 228.203.128.1 to 228.203.191.254 | 228.203.191.255 | 16,382 |
| 48 | 228.203.192.0/18 | 228.203.192.1 to 228.203.255.254 | 228.203.255.255 | 16,382 |
| 49 | 228.204.0.0/18 | 228.204.0.1 to 228.204.63.254 | 228.204.63.255 | 16,382 |
| 50 | 228.204.64.0/18 | 228.204.64.1 to 228.204.127.254 | 228.204.127.255 | 16,382 |
| 51 | 228.204.128.0/18 | 228.204.128.1 to 228.204.191.254 | 228.204.191.255 | 16,382 |
| 52 | 228.204.192.0/18 | 228.204.192.1 to 228.204.255.254 | 228.204.255.255 | 16,382 |
| 53 | 228.205.0.0/18 | 228.205.0.1 to 228.205.63.254 | 228.205.63.255 | 16,382 |
| 54 | 228.205.64.0/18 | 228.205.64.1 to 228.205.127.254 | 228.205.127.255 | 16,382 |
| 55 | 228.205.128.0/18 | 228.205.128.1 to 228.205.191.254 | 228.205.191.255 | 16,382 |
| 56 | 228.205.192.0/18 | 228.205.192.1 to 228.205.255.254 | 228.205.255.255 | 16,382 |
| 57 | 228.206.0.0/18 | 228.206.0.1 to 228.206.63.254 | 228.206.63.255 | 16,382 |
| 58 | 228.206.64.0/18 | 228.206.64.1 to 228.206.127.254 | 228.206.127.255 | 16,382 |
| 59 | 228.206.128.0/18 | 228.206.128.1 to 228.206.191.254 | 228.206.191.255 | 16,382 |
| 60 | 228.206.192.0/18 | 228.206.192.1 to 228.206.255.254 | 228.206.255.255 | 16,382 |
| 61 | 228.207.0.0/18 | 228.207.0.1 to 228.207.63.254 | 228.207.63.255 | 16,382 |
| 62 | 228.207.64.0/18 | 228.207.64.1 to 228.207.127.254 | 228.207.127.255 | 16,382 |
| 63 | 228.207.128.0/18 | 228.207.128.1 to 228.207.191.254 | 228.207.191.255 | 16,382 |
| 64 | 228.207.192.0/18 | 228.207.192.1 to 228.207.255.254 | 228.207.255.255 | 16,382 |
| 65 | 228.208.0.0/18 | 228.208.0.1 to 228.208.63.254 | 228.208.63.255 | 16,382 |
| 66 | 228.208.64.0/18 | 228.208.64.1 to 228.208.127.254 | 228.208.127.255 | 16,382 |
| 67 | 228.208.128.0/18 | 228.208.128.1 to 228.208.191.254 | 228.208.191.255 | 16,382 |
| 68 | 228.208.192.0/18 | 228.208.192.1 to 228.208.255.254 | 228.208.255.255 | 16,382 |
| 69 | 228.209.0.0/18 | 228.209.0.1 to 228.209.63.254 | 228.209.63.255 | 16,382 |
| 70 | 228.209.64.0/18 | 228.209.64.1 to 228.209.127.254 | 228.209.127.255 | 16,382 |
| 71 | 228.209.128.0/18 | 228.209.128.1 to 228.209.191.254 | 228.209.191.255 | 16,382 |
| 72 | 228.209.192.0/18 | 228.209.192.1 to 228.209.255.254 | 228.209.255.255 | 16,382 |
| 73 | 228.210.0.0/18 | 228.210.0.1 to 228.210.63.254 | 228.210.63.255 | 16,382 |
| 74 | 228.210.64.0/18 | 228.210.64.1 to 228.210.127.254 | 228.210.127.255 | 16,382 |
| 75 | 228.210.128.0/18 | 228.210.128.1 to 228.210.191.254 | 228.210.191.255 | 16,382 |
| 76 | 228.210.192.0/18 | 228.210.192.1 to 228.210.255.254 | 228.210.255.255 | 16,382 |
| 77 | 228.211.0.0/18 | 228.211.0.1 to 228.211.63.254 | 228.211.63.255 | 16,382 |
| 78 | 228.211.64.0/18 | 228.211.64.1 to 228.211.127.254 | 228.211.127.255 | 16,382 |
| 79 | 228.211.128.0/18 | 228.211.128.1 to 228.211.191.254 | 228.211.191.255 | 16,382 |
| 80 | 228.211.192.0/18 | 228.211.192.1 to 228.211.255.254 | 228.211.255.255 | 16,382 |
| 81 | 228.212.0.0/18 | 228.212.0.1 to 228.212.63.254 | 228.212.63.255 | 16,382 |
| 82 | 228.212.64.0/18 | 228.212.64.1 to 228.212.127.254 | 228.212.127.255 | 16,382 |
| 83 | 228.212.128.0/18 | 228.212.128.1 to 228.212.191.254 | 228.212.191.255 | 16,382 |
| 84 | 228.212.192.0/18 | 228.212.192.1 to 228.212.255.254 | 228.212.255.255 | 16,382 |
| 85 | 228.213.0.0/18 | 228.213.0.1 to 228.213.63.254 | 228.213.63.255 | 16,382 |
| 86 | 228.213.64.0/18 | 228.213.64.1 to 228.213.127.254 | 228.213.127.255 | 16,382 |
| 87 | 228.213.128.0/18 | 228.213.128.1 to 228.213.191.254 | 228.213.191.255 | 16,382 |
| 88 | 228.213.192.0/18 | 228.213.192.1 to 228.213.255.254 | 228.213.255.255 | 16,382 |
| 89 | 228.214.0.0/18 | 228.214.0.1 to 228.214.63.254 | 228.214.63.255 | 16,382 |
| 90 | 228.214.64.0/18 | 228.214.64.1 to 228.214.127.254 | 228.214.127.255 | 16,382 |
| 91 | 228.214.128.0/18 | 228.214.128.1 to 228.214.191.254 | 228.214.191.255 | 16,382 |
| 92 | 228.214.192.0/18 | 228.214.192.1 to 228.214.255.254 | 228.214.255.255 | 16,382 |
| 93 | 228.215.0.0/18 | 228.215.0.1 to 228.215.63.254 | 228.215.63.255 | 16,382 |
| 94 | 228.215.64.0/18 | 228.215.64.1 to 228.215.127.254 | 228.215.127.255 | 16,382 |
| 95 | 228.215.128.0/18 | 228.215.128.1 to 228.215.191.254 | 228.215.191.255 | 16,382 |
| 96 | 228.215.192.0/18 | 228.215.192.1 to 228.215.255.254 | 228.215.255.255 | 16,382 |
| 97 | 228.216.0.0/18 | 228.216.0.1 to 228.216.63.254 | 228.216.63.255 | 16,382 |
| 98 | 228.216.64.0/18 | 228.216.64.1 to 228.216.127.254 | 228.216.127.255 | 16,382 |
| 99 | 228.216.128.0/18 | 228.216.128.1 to 228.216.191.254 | 228.216.191.255 | 16,382 |
| 100 | 228.216.192.0/18 | 228.216.192.1 to 228.216.255.254 | 228.216.255.255 | 16,382 |
| 101 | 228.217.0.0/18 | 228.217.0.1 to 228.217.63.254 | 228.217.63.255 | 16,382 |
| 102 | 228.217.64.0/18 | 228.217.64.1 to 228.217.127.254 | 228.217.127.255 | 16,382 |
| 103 | 228.217.128.0/18 | 228.217.128.1 to 228.217.191.254 | 228.217.191.255 | 16,382 |
| 104 | 228.217.192.0/18 | 228.217.192.1 to 228.217.255.254 | 228.217.255.255 | 16,382 |
| 105 | 228.218.0.0/18 | 228.218.0.1 to 228.218.63.254 | 228.218.63.255 | 16,382 |
| 106 | 228.218.64.0/18 | 228.218.64.1 to 228.218.127.254 | 228.218.127.255 | 16,382 |
| 107 | 228.218.128.0/18 | 228.218.128.1 to 228.218.191.254 | 228.218.191.255 | 16,382 |
| 108 | 228.218.192.0/18 | 228.218.192.1 to 228.218.255.254 | 228.218.255.255 | 16,382 |
| 109 | 228.219.0.0/18 | 228.219.0.1 to 228.219.63.254 | 228.219.63.255 | 16,382 |
| 110 | 228.219.64.0/18 | 228.219.64.1 to 228.219.127.254 | 228.219.127.255 | 16,382 |
| 111 | 228.219.128.0/18 | 228.219.128.1 to 228.219.191.254 | 228.219.191.255 | 16,382 |
| 112 | 228.219.192.0/18 | 228.219.192.1 to 228.219.255.254 | 228.219.255.255 | 16,382 |
| 113 | 228.220.0.0/18 | 228.220.0.1 to 228.220.63.254 | 228.220.63.255 | 16,382 |
| 114 | 228.220.64.0/18 | 228.220.64.1 to 228.220.127.254 | 228.220.127.255 | 16,382 |
| 115 | 228.220.128.0/18 | 228.220.128.1 to 228.220.191.254 | 228.220.191.255 | 16,382 |
| 116 | 228.220.192.0/18 | 228.220.192.1 to 228.220.255.254 | 228.220.255.255 | 16,382 |
| 117 | 228.221.0.0/18 | 228.221.0.1 to 228.221.63.254 | 228.221.63.255 | 16,382 |
| 118 | 228.221.64.0/18 | 228.221.64.1 to 228.221.127.254 | 228.221.127.255 | 16,382 |
| 119 | 228.221.128.0/18 | 228.221.128.1 to 228.221.191.254 | 228.221.191.255 | 16,382 |
| 120 | 228.221.192.0/18 | 228.221.192.1 to 228.221.255.254 | 228.221.255.255 | 16,382 |
| 121 | 228.222.0.0/18 | 228.222.0.1 to 228.222.63.254 | 228.222.63.255 | 16,382 |
| 122 | 228.222.64.0/18 | 228.222.64.1 to 228.222.127.254 | 228.222.127.255 | 16,382 |
| 123 | 228.222.128.0/18 | 228.222.128.1 to 228.222.191.254 | 228.222.191.255 | 16,382 |
| 124 | 228.222.192.0/18 | 228.222.192.1 to 228.222.255.254 | 228.222.255.255 | 16,382 |
| 125 | 228.223.0.0/18 | 228.223.0.1 to 228.223.63.254 | 228.223.63.255 | 16,382 |
| 126 | 228.223.64.0/18 | 228.223.64.1 to 228.223.127.254 | 228.223.127.255 | 16,382 |
| 127 | 228.223.128.0/18 | 228.223.128.1 to 228.223.191.254 | 228.223.191.255 | 16,382 |
| 128 | 228.223.192.0/18 | 228.223.192.1 to 228.223.255.254 | 228.223.255.255 | 16,382 |
| 129 | 228.224.0.0/18 | 228.224.0.1 to 228.224.63.254 | 228.224.63.255 | 16,382 |
| 130 | 228.224.64.0/18 | 228.224.64.1 to 228.224.127.254 | 228.224.127.255 | 16,382 |
| 131 | 228.224.128.0/18 | 228.224.128.1 to 228.224.191.254 | 228.224.191.255 | 16,382 |
| 132 | 228.224.192.0/18 | 228.224.192.1 to 228.224.255.254 | 228.224.255.255 | 16,382 |
| 133 | 228.225.0.0/18 | 228.225.0.1 to 228.225.63.254 | 228.225.63.255 | 16,382 |
| 134 | 228.225.64.0/18 | 228.225.64.1 to 228.225.127.254 | 228.225.127.255 | 16,382 |
| 135 | 228.225.128.0/18 | 228.225.128.1 to 228.225.191.254 | 228.225.191.255 | 16,382 |
| 136 | 228.225.192.0/18 | 228.225.192.1 to 228.225.255.254 | 228.225.255.255 | 16,382 |
| 137 | 228.226.0.0/18 | 228.226.0.1 to 228.226.63.254 | 228.226.63.255 | 16,382 |
| 138 | 228.226.64.0/18 | 228.226.64.1 to 228.226.127.254 | 228.226.127.255 | 16,382 |
| 139 | 228.226.128.0/18 | 228.226.128.1 to 228.226.191.254 | 228.226.191.255 | 16,382 |
| 140 | 228.226.192.0/18 | 228.226.192.1 to 228.226.255.254 | 228.226.255.255 | 16,382 |
| 141 | 228.227.0.0/18 | 228.227.0.1 to 228.227.63.254 | 228.227.63.255 | 16,382 |
| 142 | 228.227.64.0/18 | 228.227.64.1 to 228.227.127.254 | 228.227.127.255 | 16,382 |
| 143 | 228.227.128.0/18 | 228.227.128.1 to 228.227.191.254 | 228.227.191.255 | 16,382 |
| 144 | 228.227.192.0/18 | 228.227.192.1 to 228.227.255.254 | 228.227.255.255 | 16,382 |
| 145 | 228.228.0.0/18 | 228.228.0.1 to 228.228.63.254 | 228.228.63.255 | 16,382 |
| 146 | 228.228.64.0/18 | 228.228.64.1 to 228.228.127.254 | 228.228.127.255 | 16,382 |
| 147 | 228.228.128.0/18 | 228.228.128.1 to 228.228.191.254 | 228.228.191.255 | 16,382 |
| 148 | 228.228.192.0/18 | 228.228.192.1 to 228.228.255.254 | 228.228.255.255 | 16,382 |
| 149 | 228.229.0.0/18 | 228.229.0.1 to 228.229.63.254 | 228.229.63.255 | 16,382 |
| 150 | 228.229.64.0/18 | 228.229.64.1 to 228.229.127.254 | 228.229.127.255 | 16,382 |
| 151 | 228.229.128.0/18 | 228.229.128.1 to 228.229.191.254 | 228.229.191.255 | 16,382 |
| 152 | 228.229.192.0/18 | 228.229.192.1 to 228.229.255.254 | 228.229.255.255 | 16,382 |
| 153 | 228.230.0.0/18 | 228.230.0.1 to 228.230.63.254 | 228.230.63.255 | 16,382 |
| 154 | 228.230.64.0/18 | 228.230.64.1 to 228.230.127.254 | 228.230.127.255 | 16,382 |
| 155 | 228.230.128.0/18 | 228.230.128.1 to 228.230.191.254 | 228.230.191.255 | 16,382 |
| 156 | 228.230.192.0/18 | 228.230.192.1 to 228.230.255.254 | 228.230.255.255 | 16,382 |
| 157 | 228.231.0.0/18 | 228.231.0.1 to 228.231.63.254 | 228.231.63.255 | 16,382 |
| 158 | 228.231.64.0/18 | 228.231.64.1 to 228.231.127.254 | 228.231.127.255 | 16,382 |
| 159 | 228.231.128.0/18 | 228.231.128.1 to 228.231.191.254 | 228.231.191.255 | 16,382 |
| 160 | 228.231.192.0/18 | 228.231.192.1 to 228.231.255.254 | 228.231.255.255 | 16,382 |
| 161 | 228.232.0.0/18 | 228.232.0.1 to 228.232.63.254 | 228.232.63.255 | 16,382 |
| 162 | 228.232.64.0/18 | 228.232.64.1 to 228.232.127.254 | 228.232.127.255 | 16,382 |
| 163 | 228.232.128.0/18 | 228.232.128.1 to 228.232.191.254 | 228.232.191.255 | 16,382 |
| 164 | 228.232.192.0/18 | 228.232.192.1 to 228.232.255.254 | 228.232.255.255 | 16,382 |
| 165 | 228.233.0.0/18 | 228.233.0.1 to 228.233.63.254 | 228.233.63.255 | 16,382 |
| 166 | 228.233.64.0/18 | 228.233.64.1 to 228.233.127.254 | 228.233.127.255 | 16,382 |
| 167 | 228.233.128.0/18 | 228.233.128.1 to 228.233.191.254 | 228.233.191.255 | 16,382 |
| 168 | 228.233.192.0/18 | 228.233.192.1 to 228.233.255.254 | 228.233.255.255 | 16,382 |
| 169 | 228.234.0.0/18 | 228.234.0.1 to 228.234.63.254 | 228.234.63.255 | 16,382 |
| 170 | 228.234.64.0/18 | 228.234.64.1 to 228.234.127.254 | 228.234.127.255 | 16,382 |
| 171 | 228.234.128.0/18 | 228.234.128.1 to 228.234.191.254 | 228.234.191.255 | 16,382 |
| 172 | 228.234.192.0/18 | 228.234.192.1 to 228.234.255.254 | 228.234.255.255 | 16,382 |
| 173 | 228.235.0.0/18 | 228.235.0.1 to 228.235.63.254 | 228.235.63.255 | 16,382 |
| 174 | 228.235.64.0/18 | 228.235.64.1 to 228.235.127.254 | 228.235.127.255 | 16,382 |
| 175 | 228.235.128.0/18 | 228.235.128.1 to 228.235.191.254 | 228.235.191.255 | 16,382 |
| 176 | 228.235.192.0/18 | 228.235.192.1 to 228.235.255.254 | 228.235.255.255 | 16,382 |
| 177 | 228.236.0.0/18 | 228.236.0.1 to 228.236.63.254 | 228.236.63.255 | 16,382 |
| 178 | 228.236.64.0/18 | 228.236.64.1 to 228.236.127.254 | 228.236.127.255 | 16,382 |
| 179 | 228.236.128.0/18 | 228.236.128.1 to 228.236.191.254 | 228.236.191.255 | 16,382 |
| 180 | 228.236.192.0/18 | 228.236.192.1 to 228.236.255.254 | 228.236.255.255 | 16,382 |
| 181 | 228.237.0.0/18 | 228.237.0.1 to 228.237.63.254 | 228.237.63.255 | 16,382 |
| 182 | 228.237.64.0/18 | 228.237.64.1 to 228.237.127.254 | 228.237.127.255 | 16,382 |
| 183 | 228.237.128.0/18 | 228.237.128.1 to 228.237.191.254 | 228.237.191.255 | 16,382 |
| 184 | 228.237.192.0/18 | 228.237.192.1 to 228.237.255.254 | 228.237.255.255 | 16,382 |
| 185 | 228.238.0.0/18 | 228.238.0.1 to 228.238.63.254 | 228.238.63.255 | 16,382 |
| 186 | 228.238.64.0/18 | 228.238.64.1 to 228.238.127.254 | 228.238.127.255 | 16,382 |
| 187 | 228.238.128.0/18 | 228.238.128.1 to 228.238.191.254 | 228.238.191.255 | 16,382 |
| 188 | 228.238.192.0/18 | 228.238.192.1 to 228.238.255.254 | 228.238.255.255 | 16,382 |
| 189 | 228.239.0.0/18 | 228.239.0.1 to 228.239.63.254 | 228.239.63.255 | 16,382 |
| 190 | 228.239.64.0/18 | 228.239.64.1 to 228.239.127.254 | 228.239.127.255 | 16,382 |
| 191 | 228.239.128.0/18 | 228.239.128.1 to 228.239.191.254 | 228.239.191.255 | 16,382 |
| 192 | 228.239.192.0/18 | 228.239.192.1 to 228.239.255.254 | 228.239.255.255 | 16,382 |
| 193 | 228.240.0.0/18 | 228.240.0.1 to 228.240.63.254 | 228.240.63.255 | 16,382 |
| 194 | 228.240.64.0/18 | 228.240.64.1 to 228.240.127.254 | 228.240.127.255 | 16,382 |
| 195 | 228.240.128.0/18 | 228.240.128.1 to 228.240.191.254 | 228.240.191.255 | 16,382 |
| 196 | 228.240.192.0/18 | 228.240.192.1 to 228.240.255.254 | 228.240.255.255 | 16,382 |
| 197 | 228.241.0.0/18 | 228.241.0.1 to 228.241.63.254 | 228.241.63.255 | 16,382 |
| 198 | 228.241.64.0/18 | 228.241.64.1 to 228.241.127.254 | 228.241.127.255 | 16,382 |
| 199 | 228.241.128.0/18 | 228.241.128.1 to 228.241.191.254 | 228.241.191.255 | 16,382 |
| 200 | 228.241.192.0/18 | 228.241.192.1 to 228.241.255.254 | 228.241.255.255 | 16,382 |
| 201 | 228.242.0.0/18 | 228.242.0.1 to 228.242.63.254 | 228.242.63.255 | 16,382 |
| 202 | 228.242.64.0/18 | 228.242.64.1 to 228.242.127.254 | 228.242.127.255 | 16,382 |
| 203 | 228.242.128.0/18 | 228.242.128.1 to 228.242.191.254 | 228.242.191.255 | 16,382 |
| 204 | 228.242.192.0/18 | 228.242.192.1 to 228.242.255.254 | 228.242.255.255 | 16,382 |
| 205 | 228.243.0.0/18 | 228.243.0.1 to 228.243.63.254 | 228.243.63.255 | 16,382 |
| 206 | 228.243.64.0/18 | 228.243.64.1 to 228.243.127.254 | 228.243.127.255 | 16,382 |
| 207 | 228.243.128.0/18 | 228.243.128.1 to 228.243.191.254 | 228.243.191.255 | 16,382 |
| 208 | 228.243.192.0/18 | 228.243.192.1 to 228.243.255.254 | 228.243.255.255 | 16,382 |
| 209 | 228.244.0.0/18 | 228.244.0.1 to 228.244.63.254 | 228.244.63.255 | 16,382 |
| 210 | 228.244.64.0/18 | 228.244.64.1 to 228.244.127.254 | 228.244.127.255 | 16,382 |
| 211 | 228.244.128.0/18 | 228.244.128.1 to 228.244.191.254 | 228.244.191.255 | 16,382 |
| 212 | 228.244.192.0/18 | 228.244.192.1 to 228.244.255.254 | 228.244.255.255 | 16,382 |
| 213 | 228.245.0.0/18 | 228.245.0.1 to 228.245.63.254 | 228.245.63.255 | 16,382 |
| 214 | 228.245.64.0/18 | 228.245.64.1 to 228.245.127.254 | 228.245.127.255 | 16,382 |
| 215 | 228.245.128.0/18 | 228.245.128.1 to 228.245.191.254 | 228.245.191.255 | 16,382 |
| 216 | 228.245.192.0/18 | 228.245.192.1 to 228.245.255.254 | 228.245.255.255 | 16,382 |
| 217 | 228.246.0.0/18 | 228.246.0.1 to 228.246.63.254 | 228.246.63.255 | 16,382 |
| 218 | 228.246.64.0/18 | 228.246.64.1 to 228.246.127.254 | 228.246.127.255 | 16,382 |
| 219 | 228.246.128.0/18 | 228.246.128.1 to 228.246.191.254 | 228.246.191.255 | 16,382 |
| 220 | 228.246.192.0/18 | 228.246.192.1 to 228.246.255.254 | 228.246.255.255 | 16,382 |
| 221 | 228.247.0.0/18 | 228.247.0.1 to 228.247.63.254 | 228.247.63.255 | 16,382 |
| 222 | 228.247.64.0/18 | 228.247.64.1 to 228.247.127.254 | 228.247.127.255 | 16,382 |
| 223 | 228.247.128.0/18 | 228.247.128.1 to 228.247.191.254 | 228.247.191.255 | 16,382 |
| 224 | 228.247.192.0/18 | 228.247.192.1 to 228.247.255.254 | 228.247.255.255 | 16,382 |
| 225 | 228.248.0.0/18 | 228.248.0.1 to 228.248.63.254 | 228.248.63.255 | 16,382 |
| 226 | 228.248.64.0/18 | 228.248.64.1 to 228.248.127.254 | 228.248.127.255 | 16,382 |
| 227 | 228.248.128.0/18 | 228.248.128.1 to 228.248.191.254 | 228.248.191.255 | 16,382 |
| 228 | 228.248.192.0/18 | 228.248.192.1 to 228.248.255.254 | 228.248.255.255 | 16,382 |
| 229 | 228.249.0.0/18 | 228.249.0.1 to 228.249.63.254 | 228.249.63.255 | 16,382 |
| 230 | 228.249.64.0/18 | 228.249.64.1 to 228.249.127.254 | 228.249.127.255 | 16,382 |
| 231 | 228.249.128.0/18 | 228.249.128.1 to 228.249.191.254 | 228.249.191.255 | 16,382 |
| 232 | 228.249.192.0/18 | 228.249.192.1 to 228.249.255.254 | 228.249.255.255 | 16,382 |
| 233 | 228.250.0.0/18 | 228.250.0.1 to 228.250.63.254 | 228.250.63.255 | 16,382 |
| 234 | 228.250.64.0/18 | 228.250.64.1 to 228.250.127.254 | 228.250.127.255 | 16,382 |
| 235 | 228.250.128.0/18 | 228.250.128.1 to 228.250.191.254 | 228.250.191.255 | 16,382 |
| 236 | 228.250.192.0/18 | 228.250.192.1 to 228.250.255.254 | 228.250.255.255 | 16,382 |
| 237 | 228.251.0.0/18 | 228.251.0.1 to 228.251.63.254 | 228.251.63.255 | 16,382 |
| 238 | 228.251.64.0/18 | 228.251.64.1 to 228.251.127.254 | 228.251.127.255 | 16,382 |
| 239 | 228.251.128.0/18 | 228.251.128.1 to 228.251.191.254 | 228.251.191.255 | 16,382 |
| 240 | 228.251.192.0/18 | 228.251.192.1 to 228.251.255.254 | 228.251.255.255 | 16,382 |
| 241 | 228.252.0.0/18 | 228.252.0.1 to 228.252.63.254 | 228.252.63.255 | 16,382 |
| 242 | 228.252.64.0/18 | 228.252.64.1 to 228.252.127.254 | 228.252.127.255 | 16,382 |
| 243 | 228.252.128.0/18 | 228.252.128.1 to 228.252.191.254 | 228.252.191.255 | 16,382 |
| 244 | 228.252.192.0/18 | 228.252.192.1 to 228.252.255.254 | 228.252.255.255 | 16,382 |
| 245 | 228.253.0.0/18 | 228.253.0.1 to 228.253.63.254 | 228.253.63.255 | 16,382 |
| 246 | 228.253.64.0/18 | 228.253.64.1 to 228.253.127.254 | 228.253.127.255 | 16,382 |
| 247 | 228.253.128.0/18 | 228.253.128.1 to 228.253.191.254 | 228.253.191.255 | 16,382 |
| 248 | 228.253.192.0/18 | 228.253.192.1 to 228.253.255.254 | 228.253.255.255 | 16,382 |
| 249 | 228.254.0.0/18 | 228.254.0.1 to 228.254.63.254 | 228.254.63.255 | 16,382 |
| 250 | 228.254.64.0/18 | 228.254.64.1 to 228.254.127.254 | 228.254.127.255 | 16,382 |
| 251 | 228.254.128.0/18 | 228.254.128.1 to 228.254.191.254 | 228.254.191.255 | 16,382 |
| 252 | 228.254.192.0/18 | 228.254.192.1 to 228.254.255.254 | 228.254.255.255 | 16,382 |
| 253 | 228.255.0.0/18 | 228.255.0.1 to 228.255.63.254 | 228.255.63.255 | 16,382 |
| 254 | 228.255.64.0/18 | 228.255.64.1 to 228.255.127.254 | 228.255.127.255 | 16,382 |
| 255 | 228.255.128.0/18 | 228.255.128.1 to 228.255.191.254 | 228.255.191.255 | 16,382 |
| 256 | 228.255.192.0/18 | 228.255.192.1 to 228.255.255.254 | 228.255.255.255 | 16,382 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |